#!/bin/bash
source .env
login(){
	LOGIN=$(curl -s -c $COOKIE $BML_URL/login \
	--data-raw username=$BML_USERNAME \
	--data-raw password=${BML_PASSWORD} \
		| jq -r .code)
	if [ "$LOGIN" = "0" ]
        then
		echo Login success
	elif [ "$LOGIN" = "20" ]
	then
		sleep 1.5
		echo Account Locked!
		echo Please reset password and login again.
	elif [ "$LOGIN" = "2" ]
	then
		echo Password or Username Incorrect
	elif [ "$LOGIN" = "37" ]
	then
		echo Down for Maintenance
		echo Try again later
		exit
	else
		echo Unknown Error
		exit
	fi
}
